Subject: Re: bug#32502: 27.0.50; Tramp; C-g during asynchronous remote find-file kills Emacs

From: Michael Albinus <[email-masked]>
Date: Thu, 30 Aug 2018 15:59:54 +0200

Eli Zaretskii <[email-masked]> writes:

>> I'm just changing thread-signal such a way that it ignores silently
>> signals sent to the main thread. Shall I implement this event injection
>> instead?
>
> I don't know.  I guess it depends on how important is it to show the
> errors nicely.  You could leave signals for now and use the events
> idea later as an enhancement.

I will see how easy it is. I have experience with dbus-event and
file-notify-event; it shouldn't too hard for me to implement thread-event.

>> And what shall be done with this event in the main thread? Just writing
>> an error message, or some kind of handling?
>
> Yes, displaying a message would be a good starting point, I think.

Since special events have their own handler, it will be simple to change
later. Will start with echoing the error message.

Best regards, Michael.